Bug 1275405 - Script error appears on the tenant selection dropdown box when order an orchestration provisioning
Script error appears on the tenant selection dropdown box when order an orche...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate (Show other bugs)
5.4.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.5.0
Assigned To: Bill Wei
Aziza Karol
:
: 1274663 (view as bug list)
Depends On:
Blocks: 1262973
  Show dependency treegraph
 
Reported: 2015-10-26 16:01 EDT by Bill Wei
Modified: 2015-12-08 08:40 EST (History)
9 users (show)

See Also:
Fixed In Version: 5.5.0.9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:40:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Wei 2015-10-26 16:01:08 EDT
Description of problem:

The symptom is the same as 1262973, but the root cause is different.

From evm.log:
[----] E, [2015-10-26T15:00:56.228299 #12807:3ffb214fd524] ERROR -- : <AutomationEngine> <AEMethod available_tenants> The following error occurred during method evaluation:
[----] E, [2015-10-26T15:00:56.228776 #12807:3ffb214fd524] ERROR -- : <AutomationEngine> <AEMethod available_tenants>   NameError: uninitialized constant MiqAeMethodService::MiqAeServiceManageIQ_Providers_Openstack_CloudManager_CloudTenant
[----] E, [2015-10-26T15:00:56.229875 #12807:3ffb214fd524] ERROR -- : <AutomationEngine> <AEMethod available_tenants>   (druby://127.0.0.1:58778) /Users/bwei/redhat/iq/manageiq/lib/miq_automation_engine/engine/miq_ae_service_model_base.rb:116:in `const_get'



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 3 CFME Bot 2015-10-28 16:11:27 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/3ff303edc5467f256dbc5847ecb604a3de537c05

commit 3ff303edc5467f256dbc5847ecb604a3de537c05
Author:     Bill Wei <bilwei@redhat.com>
AuthorDate: Tue Oct 27 10:52:06 2015 -0400
Commit:     Bill Wei <bilwei@redhat.com>
CommitDate: Tue Oct 27 10:52:06 2015 -0400

    Add new file miq_ae_service_manageiq-providers-openstack-cloud_manager-cloud_tenant.rb
    
    This is required to show all cloud tenants available for provisioning
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1275405

 ...service_manageiq-providers-openstack-cloud_manager-cloud_tenant.rb | 4 ++++
 1 file changed, 4 insertions(+)
 create mode 100644 lib/miq_automation_engine/service_models/miq_ae_service_manageiq-providers-openstack-cloud_manager-cloud_tenant.rb
Comment 4 Bill Wei 2015-10-29 12:01:49 EDT
*** Bug 1274663 has been marked as a duplicate of this bug. ***
Comment 6 Aziza Karol 2015-11-04 00:23:36 EST
Cloud tenants available for provisioning is displayed in tenant selection dropdown box when ordering an orchestration provisioning 


Verified:
5.5.0.9-beta2.20151102161742_5530c9a
Comment 7 CFME Bot 2015-11-04 13:43:25 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=31f0bacfab5d38ed0b1601391030d13ecca95c3a

commit 31f0bacfab5d38ed0b1601391030d13ecca95c3a
Author:     Bill Wei <bilwei@redhat.com>
AuthorDate: Tue Oct 27 10:52:06 2015 -0400
Commit:     Bill Wei <bilwei@redhat.com>
CommitDate: Thu Oct 29 15:11:19 2015 -0400

    Add new file miq_ae_service_manageiq-providers-openstack-cloud_manager-cloud_tenant.rb
    
    This is required to show all cloud tenants available for provisioning
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1275405

 ...service_manageiq-providers-openstack-cloud_manager-cloud_tenant.rb | 4 ++++
 1 file changed, 4 insertions(+)
 create mode 100644 lib/miq_automation_engine/service_models/miq_ae_service_manageiq-providers-openstack-cloud_manager-cloud_tenant.rb
Comment 8 CFME Bot 2015-11-04 13:43:31 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=c9dd9a23ff0de13e1a781604aaaff9f0d5d79cfe

commit c9dd9a23ff0de13e1a781604aaaff9f0d5d79cfe
Merge: e5991c2 31f0bac
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Thu Oct 29 16:25:09 2015 -0400
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Thu Oct 29 16:25:09 2015 -0400

    Merge branch '55z_tenant_script_error' into '5.5.z'
    
    Add new file miq_ae_service_manageiq-providers-openstack-cloud_manager-cloud_tenant.rb
    
    This is required to show all cloud tenants available for provisioning
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1275405
    
    Original PR: https://github.com/ManageIQ/manageiq/pull/5149
    
    See merge request !313

 ...service_manageiq-providers-openstack-cloud_manager-cloud_tenant.rb | 4 ++++
 1 file changed, 4 insertions(+)
Comment 10 errata-xmlrpc 2015-12-08 08:40:30 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.